org.kie.internal.command

## Interface ExtendedKieCommands

- All Superinterfaces:
    org.kie.api.command.KieCommands

      public interface ExtendedKieCommands
      extends org.kie.api.command.KieCommands

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.api.command.Command` | `newClearActivationGroup(String name)`
    `org.kie.api.command.Command` | `newClearAgenda()`
    `org.kie.api.command.Command` | `newClearAgendaGroup(String name)`
    `org.kie.api.command.Command` | `newClearRuleFlowGroup(String name)`
    `org.kie.api.command.Command` | `newEnableAuditLog(String filename)`
    `org.kie.api.command.Command` | `newEnableAuditLog(String directory, String filename)`

    - ### Methods inherited from interface org.kie.api.command.KieCommands

      `fromExternalFactHandleCommand, fromExternalFactHandleCommand, newAbortWorkItem, newAdvanceSessionTime, newAdvanceSessionTime, newAgendaGroupSetFocus, newBatchExecution, newBatchExecution, newCompleteWorkItem, newDelete, newDeleteObject, newDispose, newFireAllRules, newFireAllRules, newFireAllRules, newGetFactHandle, newGetFactHandleInEntryPoint, newGetFactHandles, newGetFactHandles, newGetFactHandles, newGetFactHandles, newGetGlobal, newGetGlobal, newGetObject, newGetObject, newGetObjects, newGetObjects, newGetObjects, newGetObjects, newGetSessionTime, newGetSessionTime, newInsert, newInsert, newInsert, newInsertElements, newInsertElements, newInsertElements, newModify, newQuery, newQuery, newRegisterWorkItemHandlerCommand, newSetGlobal, newSetGlobal, newSetGlobal, newSetter, newSignalEvent, newSignalEvent, newStartProcess, newStartProcess`

- - ### Method Detail

    - #### newEnableAuditLog

          org.kie.api.command.Command newEnableAuditLog(String directory,
                                                        String filename)

    - #### newEnableAuditLog

          org.kie.api.command.Command newEnableAuditLog(String filename)

    - #### newClearActivationGroup

          org.kie.api.command.Command newClearActivationGroup(String name)

    - #### newClearAgenda

          org.kie.api.command.Command newClearAgenda()

    - #### newClearAgendaGroup

          org.kie.api.command.Command newClearAgendaGroup(String name)

    - #### newClearRuleFlowGroup

          org.kie.api.command.Command newClearRuleFlowGroup(String name)

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.